Can't load the gem #10

Open
gouthamgandhi opened this Issue Oct 30, 2012 · 3 comments

Comments

Projects
None yet
4 participants

I get this error when I try to load the gem. I think it not configured properly to be used with ruby 1.9.3

error message:

/Users/nadendla/.rvm/gems/ruby-1.9.3-p0/gems/activerdf-1.6.11/lib/active_rdf/objectmanager/namespace.rb:65: warning: else without rescue is useless
/Users/nadendla/.rvm/gems/ruby-1.9.3-p0/gems/activerdf-1.6.11/lib/active_rdf/objectmanager/namespace.rb:63: syntax error, unexpected ':', expecting keyword_then or ',' or ';' or '\n'
when RDFS::Resource: resource.uri
^
/Users/nadendla/.rvm/gems/ruby-1.9.3-p0/gems/activerdf-1.6.11/lib/active_rdf/objectmanager/namespace.rb:99: syntax error, unexpected keyword_end, expecting $end

zorino commented Nov 28, 2012

Same thing if I change the ; with then in the file active_rdf/objectmanager/namespace.rb:63
I get this error now.

/home/zorino/.rvm/gems/ruby-1.9.3-p286/gems/activerdf-1.6.11/lib/active_rdf/objectmanager/namespace.rb:40:in private': undefined methodtype' for class Module' (NameError) from /home/zorino/.rvm/gems/ruby-1.9.3-p286/gems/activerdf-1.6.11/lib/active_rdf/objectmanager/namespace.rb:40:inblock in singletonclass'
from /home/zorino/.rvm/gems/ruby-1.9.3-p286/gems/activerdf-1.6.11/lib/active_rdf/objectmanager/namespace.rb:40:in each' from /home/zorino/.rvm/gems/ruby-1.9.3-p286/gems/activerdf-1.6.11/lib/active_rdf/objectmanager/namespace.rb:40:insingletonclass'
from /home/zorino/.rvm/gems/ruby-1.9.3-p286/gems/activerdf-1.6.11/lib/active_rdf/objectmanager/namespace.rb:29:in register' from /home/zorino/.rvm/gems/ruby-1.9.3-p286/gems/activerdf-1.6.11/lib/active_rdf/objectmanager/namespace.rb:101:in<top (required)>'
from /home/zorino/.rvm/rubies/ruby-1.9.3-p286/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in require' from /home/zorino/.rvm/rubies/ruby-1.9.3-p286/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:inrequire'
from /home/zorino/.rvm/gems/ruby-1.9.3-p286/gems/activerdf-1.6.11/lib/active_rdf/objectmanager/resource.rb:3:in <top (required)>' from /home/zorino/.rvm/rubies/ruby-1.9.3-p286/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:inrequire'
from /home/zorino/.rvm/rubies/ruby-1.9.3-p286/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:36:in require' from /home/zorino/.rvm/gems/ruby-1.9.3-p286/gems/activerdf-1.6.11/lib/active_rdf.rb:30:in<top (required)>'
from /home/zorino/.rvm/rubies/ruby-1.9.3-p286/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:60:in require' from /home/zorino/.rvm/rubies/ruby-1.9.3-p286/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:60:inrescue in require'
from /home/zorino/.rvm/rubies/ruby-1.9.3-p286/lib/ruby/site_ruby/1.9.1/rubygems/custom_require.rb:35:in require' from ./activerdf-test.rb:10:in

'

pezholio commented Jul 9, 2013

Same here. Is this project still maintained?

reiz commented Jul 9, 2013

VersionEye tells me that the current version of the GEM was released 4 years ago:
https://www.versioneye.com/ruby/activerdf/1.6.11
It doesn't look active anymore. I guess it's a dead project.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment